PHP 5.6/7.0 llegó al final de apoyo de seguridad el 3 de diciembre de 2017. El apoyo crítico seguirá disponible hasta el final del 2018, pero la comunidad del PHP ya no provee el apoyo para casos de errores ni problemas menores.

Actualizar a la versión 7.1, 7.2 garantizará que las últimas actualizaciones de seguridad serán apoyadas continuamente por la comunidad.

El PHP 7.2 proporciona actualizaciones nuevas que inclyen importantes medidas de seguridad, adiciones nuevas al núcleo, criptografía moderna y una mayor velocidad de carga para los sitios.

El PHP 7.2 funciona un 13% más rápido que el 7.1 y un 20% más rápido que el 7.0.

Recomendamos que actualices al PHP 7.1 o al PHP 7.2 (la mejor opción) ahora mismo.

Paso 1:

Desactiva y borra el plugin de AliDropship y los add-ons de AliDropship.

• AliDropship original / AliDropship Woo plugin,

• Social Rabbit,

• Upsell,

• Recent Sales Pop-up,

• Countdown Timer,

• Abandoned Cart,

• Customers Gallery,

• Facebook Business,

• Google Merchant,

• My Suppliers

• Single Product Promo Page

No te preocupes: ¡todas tus configuraciones y productos se conservarán!

Por favor, nota que si usas temas de Davinci, Michelangelo, Raphael or Rembrandt, aparecerá un error en la interfaz del sitio cuando elimines el plugin, porque estos temas no pueden funcionar sin el plugin de AliDropship. Cuando hayas vuelto a instalar y a activar el plugin de AliDropship, la interfaz del sitio funcionará correctamente.

Step 2:

Paso 2:

Cambia la versión del PHP en el cPanel:

Conéctate a tu cPanel de alojamiento:

En tu cPanel Software => MultiPHP Manager selecciona tus sitios (flechita 3), elige una nueva versión del PHP (flechita 4) y pulsa el botón Apply (Aplicar). Las actualizaciones se aplicarán inmediatamente.


Si no tienes cPanel, ponte en contacto con tu servicio de apoyo de alojamiento y pídeles que cambien la versión del PHP.

Paso 3:

Descarga el plugin de AliDropship y los archivos de add-ons para la versión del PHP actualizada -> Install -> Activate:

https://alidropship.com/updates-plugin/

https://alidropship.com/addons/

Errores posibles después de actualizar al PHP 7.2:

1. 500 error

¿Por qué?: no has desactivado y borrado el plugin de AliDropship o add-ons de AliDropship.

Cómo corregirlo: vuelve a cambiar la versión del PHP (instala el que usabas antes de actualizar) -> desactiva y borra el plugin de AliDropship y todos los add- ons de AliDropship-> cambia la versión del PHP al PHP 7.2 -> Descarga el plugin de AliDropship y los archivos de add-ons para la versión actualizada del PHP -> Install -> Activate.

Si usas temas de Davinci, Michelangelo, Raphael o Rembrandt, aparecerá un error 500 en la interfaz del sitio cuando elimines el plugin, porque estos temas no pueden funcionar sin el plugin de AliDropship. Cuando hayas vuelto a instalar y a activar el plugin de AliDropship, la interfaz del sitio funcionará correctamente.

2. File cannot be decoded by this version of the ionCube Loader (El archivo no puede ser decodificado por esta versión del ionCube Loader).

¿Por qué?: tu versión del ionCube Loader para el PHP 7.2. es anticuada.

Cómo arreglarlo: Tienes que ponerte en contacto con tu servicio de apoyo de alojamiento y pedirles que actualicen tu versión de ionCube hasta la última para el PHP 7.2. (no más antigua que la 10.2.4).

¿Encontró su respuesta?